define(function(require){

	var NodeProcessor = require("./NodeProcessor");

	
	return function(el, model, baseUrl){
	
		//Ensure defined baseurl
		baseUrl = baseUrl === undefined ? "" : baseUrl;
	
		//String selector
		el = typeof(el) === "string" ? document.getElementById(el) : el;
	
		//extract svg el from html node
		//TODO: check for multiple nodes
		var svgEl = el.children[0];
		
		//process svg node
		NodeProcessor(svgEl, model, "Root", undefined, baseUrl);
	};

	
});
