define(function(require){

	var target = require("target"),
		SVGDataBind = require("svg-databind"),
		target = document.getElementById("target"),
		tests = [
			require("./tests/testUrlResolver"),
			require("./tests/testObservable"),
			require("./tests/template/main"),
			require("./tests/move/main"),
			require("./tests/animate/main"),
		];

	for (var i=0; i<test.length; i++){
	
		var t = tests[i],
			el = document.createElement("div");
		
		target.appendChild(el);
		
		(function(t, el){
			for (var name in t){
				(function(name){
					test(name, function(assert){
						t[name](assert, el);
					});
				})(name);
			}
		})(t, el);
	
	}

});