define(function(require){

	var SVGDataBind = require("svg-databind");

	return {
		"Animate": function(assert, el){
		
			var model = {
				opacity: SVGDataBind.observable(1)
			};
		
			stop();
			SVGDataBind.loadAndBind(require.toUrl("./main.svg"), el, model, function(){
			
				start();
				var rect = el.querySelectorAll("#rect2985")[0];
				
				assert.equal(rect.style.opacity, 1.0, "Initial Opacity");
				model.opacity(0.5);
				
				setTimeout(function(){
					start();
					assert.equal(rect.style.opacity, 0.5, "Final Opacity");
				},500);
				stop();
			});
		}
	};

});