
(function(global){

	var Tank = function(){
		var self = this;
	
		this.level = SVGDatabind.observable(0.0);
		this.fillPercent = SVGDatabind.observable(0);
		this.temperature = SVGDatabind.observable(20);
		
		this.valveInColor = SVGDatabind.observable("grey");
		this.valveInClick = function(){
			if (self.valveInColor() == "grey")
				self.valveInColor("green");
			else
				self.valveInColor("grey");
		};
		
		this.update = function(){
			if (self.level()  < 1.0 && self.valveInColor() == "green")
				self.level(self.level()+0.01);
				
			self.fillPercent( parseInt(self.level()*100) );
		};
	};

	var Model = function(){
		var self = this;

		this.tank101 = new Tank();
		this.tank201 = new Tank();
		
		this.update = function(){
			self.tank101.update();
			self.tank201.update();
		};
	};

	global.Model = Model;

})(this);

