define(function(require){

	var SVGDataBind = require("svg-databind");

	return {
		"Template": function(assert, el){
		
			var model = {
				templateModel: {
					opacity: SVGDataBind.observable(1)
				}
			};
		
			stop();
			SVGDataBind.loadAndBind(require.toUrl("./main.svg"), el, model, function(){
			
				//FIXME: callback after all templates rendered!
				setTimeout(function(){
					start();
					var path = el.querySelectorAll("#path2992")[0];
					assert.equal( true, path != undefined, "Template available" );
				}, 100);
			});
		}
	};

});