define(function(require){

	var UrlResolver = require("urlresolver");
	
	return {
		"UrlResolver": function(assert, el){
			
			assert.equal(
				UrlResolver.resolve("js/tests/move/main.svg", "mytemplate.svg"),
				"mytemplate.svg",
				"Absolute url"
			);
			
			assert.equal(
				UrlResolver.resolve("js/tests/move", "./mytemplate.svg"),
				"js/tests/move/mytemplate.svg",
				"Relative url"
			);
			
			
			assert.equal(
				UrlResolver.resolve("js/tests/move", "../mytemplate.svg"),
				"js/tests/mytemplate.svg",
				"Relative subdir url"
			);
			
			assert.equal(
				UrlResolver.resolve("js/tests/move", "../../mytemplate.svg"),
				"js/mytemplate.svg",
				"Relative sub-subdir url"
			);
			
		}
	};

});